{
  "runOn": [
    {
      "minServerVersion": "7.0.0",
      "topology": [
        "replicaset"
      ],
      "maxServerVersion": "7.99.99"
    }
  ],
  "database_name": "default",
  "collection_name": "default",
  "data": [],
  "encrypted_fields": {
    "fields": [
      {
        "keyId": {
          "$binary": {
            "base64": "EjRWeBI0mHYSNBI0VniQEg==",
            "subType": "04"
          }
        },
        "path": "encryptedDecimalNoPrecision",
        "bsonType": "decimal",
        "queries": {
          "queryType": "rangePreview",
          "contention": {
            "$numberLong": "0"
          },
          "sparsity": {
            "$numberLong": "1"
          }
        }
      }
    ]
  },
  "key_vault_data": [
    {
      "_id": {
        "$binary": {
          "base64": "EjRWeBI0mHYSNBI0VniQEg==",
          "subType": "04"
        }
      },
      "keyMaterial": {
        "$binary": {
          "base64": "sHe0kz57YW7v8g9VP9sf/+K1ex4JqKc5rf/URX3n3p8XdZ6+15uXPaSayC6adWbNxkFskuMCOifDoTT+rkqMtFkDclOy884RuGGtUysq3X7zkAWYTKi8QAfKkajvVbZl2y23UqgVasdQu3OVBQCrH/xY00nNAs/52e958nVjBuzQkSb1T8pKJAyjZsHJ60+FtnfafDZSTAIBJYn7UWBCwQ==",
          "subType": "00"
        }
      },
      "creationDate": {
        "$date": {
          "$numberLong": "1648914851981"
        }
      },
      "updateDate": {
        "$date": {
          "$numberLong": "1648914851981"
        }
      },
      "status": {
        "$numberInt": "0"
      },
      "masterKey": {
        "provider": "local"
      }
    }
  ],
  "tests": [
    {
      "description": "FLE2 Range Decimal. FindOneAndUpdate.",
      "clientOptions": {
        "autoEncryptOpts": {
          "kmsProviders": {
            "local": {
              "key": {
                "$binary": {
                  "base64": "Mng0NCt4ZHVUYUJCa1kxNkVyNUR1QURhZ2h2UzR2d2RrZzh0cFBwM3R6NmdWMDFBMUN3YkQ5aXRRMkhGRGdQV09wOGVNYUMxT2k3NjZKelhaQmRCZGJkTXVyZG9uSjFk",
                  "subType": "00"
                }
              }
            }
          }
        }
      },
      "operations": [
        {
          "name": "insertOne",
          "arguments": {
            "document": {
              "_id": 0,
              "encryptedDecimalNoPrecision": {
                "$numberDecimal": "0"
              }
            }
          }
        },
        {
          "name": "insertOne",
          "arguments": {
            "document": {
              "_id": 1,
              "encryptedDecimalNoPrecision": {
                "$numberDecimal": "1"
              }
            }
          }
        },
        {
          "name": "findOneAndUpdate",
          "arguments": {
            "filter": {
              "encryptedDecimalNoPrecision": {
                "$gt": {
                  "$numberDecimal": "0"
                }
              }
            },
            "update": {
              "$set": {
                "encryptedDecimalNoPrecision": {
                  "$numberDecimal": "2"
                }
              }
            },
            "returnDocument": "Before"
          },
          "result": {
            "_id": 1,
            "encryptedDecimalNoPrecision": {
              "$numberDecimal": "1"
            }
          }
        }
      ],
      "expectations": [
        {
          "command_started_event": {
            "command": {
              "listCollections": 1,
              "filter": {
                "name": "default"
              }
            },
            "command_name": "listCollections"
          }
        },
        {
          "command_started_event": {
            "command": {
              "find": "datakeys",
              "filter": {
                "$or": [
                  {
                    "_id": {
                      "$in": [
                        {
                          "$binary": {
                            "base64": "EjRWeBI0mHYSNBI0VniQEg==",
                            "subType": "04"
                          }
                        }
                      ]
                    }
                  },
                  {
                    "keyAltNames": {
                      "$in": []
                    }
                  }
                ]
              },
              "$db": "keyvault",
              "readConcern": {
                "level": "majority"
              }
            },
            "command_name": "find"
          }
        },
        {
          "command_started_event": {
            "command": {
              "insert": "default",
              "documents": [
                {
                  "_id": 0,
                  "encryptedDecimalNoPrecision": {
                    "$$type": "binData"
                  }
                }
              ],
              "ordered": true,
              "encryptionInformation": {
                "type": 1,
                "schema": {
                  "default.default": {
                    "escCollection": "enxcol_.default.esc",
                    "ecocCollection": "enxcol_.default.ecoc",
                    "fields": [
                      {
                        "keyId": {
                          "$binary": {
                            "base64": "EjRWeBI0mHYSNBI0VniQEg==",
                            "subType": "04"
                          }
                        },
                        "path": "encryptedDecimalNoPrecision",
                        "bsonType": "decimal",
                        "queries": {
                          "queryType": "rangePreview",
                          "contention": {
                            "$numberLong": "0"
                          },
                          "sparsity": {
                            "$numberLong": "1"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "command_name": "insert"
          }
        },
        {
          "command_started_event": {
            "command": {
              "insert": "default",
              "documents": [
                {
                  "_id": 1,
                  "encryptedDecimalNoPrecision": {
                    "$$type": "binData"
                  }
                }
              ],
              "ordered": true,
              "encryptionInformation": {
                "type": 1,
                "schema": {
                  "default.default": {
                    "escCollection": "enxcol_.default.esc",
                    "ecocCollection": "enxcol_.default.ecoc",
                    "fields": [
                      {
                        "keyId": {
                          "$binary": {
                            "base64": "EjRWeBI0mHYSNBI0VniQEg==",
                            "subType": "04"
                          }
                        },
                        "path": "encryptedDecimalNoPrecision",
                        "bsonType": "decimal",
                        "queries": {
                          "queryType": "rangePreview",
                          "contention": {
                            "$numberLong": "0"
                          },
                          "sparsity": {
                            "$numberLong": "1"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "command_name": "insert"
          }
        },
        {
          "command_started_event": {
            "command": {
              "findAndModify": "default",
              "query": {
                "encryptedDecimalNoPrecision": {
                  "$gt": {
                    "$binary": {
                      "base64": "[encoded data, 33752 characters]",
                      "subType": "06"
                    }
                  }
                }
              },
              "update": {
                "$set": {
                  "encryptedDecimalNoPrecision": {
                    "$$type": "binData"
                  }
                }
              },
              "encryptionInformation": {
                "type": 1,
                "schema": {
                  "default.default": {
                    "escCollection": "enxcol_.default.esc",
                    "ecocCollection": "enxcol_.default.ecoc",
                    "fields": [
                      {
                        "keyId": {
                          "$binary": {
                            "base64": "EjRWeBI0mHYSNBI0VniQEg==",
                            "subType": "04"
                          }
                        },
                        "path": "encryptedDecimalNoPrecision",
                        "bsonType": "decimal",
                        "queries": {
                          "queryType": "rangePreview",
                          "contention": {
                            "$numberLong": "0"
                          },
                          "sparsity": {
                            "$numberLong": "1"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "command_name": "findAndModify"
          }
        }
      ],
      "outcome": {
        "collection": {
          "data": [
            {
              "_id": {
                "$numberInt": "0"
              },
              "encryptedDecimalNoPrecision": {
                "$$type": "binData"
              },
              "__safeContent__": [
                {
                  "$binary": {
                    "base64": "5nRutVIyq7URVOVtbE4vM01APSIajAVnsShMwjBlzkM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rbf3AeBEv4wWFAKknqDxRW5cLNkFvbIs6iJjc6LShQY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "n+XAuFnP8Dov9TnhGFxNx0K/MnVM9WbJ7RouEu0ndO0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yRXojuVdn5GQtD97qYlaCL6cOLmZ7Cvcb3wFjkLUIdM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "DuIkdRPITRs55I4SZmgomAHCIsDQmXRhW8+MOznkzSk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "SsBk+Et1lTbU+QRPx+xyJ/jMkmfG+QCvQEpip2YYrzA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "crCIzOd8KhHvvUlX7M1v9bhvU4pLdTc+X2SuqoKU5Ek=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YOWdCw4UrqnxkAaVjqmC4sKQDMVMHEpFGnlxpxdaU6E=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "M3SShp81Ff8tQ632qKbv9MUcN6wjDaBReI0VXNu6Xh4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "gzHlSPxpM0hT75kQvWFzGlOxKvDoiKQZOr19V6l2zXI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "s3JnppOGYw9SL2Q1kMAZs948v2F5PrpXjGei/HioDWs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "cG6+3Gk/zEH68P/uuuwiAUVCuyJwa1LeV+t29FlPPAo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dupdvR3AyJtM+g9NDKiaLVOtGca387JQp8w+V03m7Ig=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "JqEQc5svj2jTvZ6LLA5ivE+kTb/0aRemSEmxk4G7Zrg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "szcXXXKnob+p3SoM4yED2R920LeJ7cVsclPMFTe4CeI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "o1QoGVXmuBdHwHm7aCtGMlMVKrjFdYvJXpoq6uhIAZ0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Jfm5wPlqqLCJRGQIqRq2NGmpn7s0Vrih2H3YAOoI2YU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "zMHLb8ARbsYo8Ld05bqnGFf1Usha6EGb8QKwdSAyps0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yQdtq9lh5pugL7/i0Bj/PuZUUBUIzf+7wj1rl5y736w=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "wGWVZdO7qIuyDg/BqDgqjgoQ02h5YYgwXQB1oCin2NE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "by9HMLj6NTEpgztZ5HSN6GxImkXPcaFINYDzgZY33X8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tWo0vbasi7bXmn/MsOx13VC1IsWtpx/nYp0uj4iMzdA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tQQpndUYd5O87lOtrGjH3wl9VsOK0ray7RMasL90sBM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "cQjXEDCMsOpKLLf+vlTgIHA+cbSJdzqhbSX9Wvh95aA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "7yMpU48IxK9SzP2cx3VnTownGEwFmeFofuuFT97SuuY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kSOx1kz0CmBgzKQHZlo65ZUY1DIv9A99JRm+Us2y6Ew=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ubQpdPBe6/xvtr+AcXdfYLSvYCR4ot0tivehkCsupb4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xal+iCJ6FTefRQToyoNksc9NCZShyn04NDGi4IYrcoM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "d7jU4iOK50xHxlkSifcxlZFCM46TSgQzoYivxG3HNLY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tJvl2nsBLBVzL3pp6sKWCL4UXeh3q/roYBJjSb74ve0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "OIUCaKRvIx9t1w6Hxlz1IcQTdPNCfdRNwnnTm10W+X0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "A9tvzsiElotOUVIB4CqfQp9mAwqvTM35YkmAR170aHA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "lI8gpK7hpb7c9x4RQugsxMnQay5LZJmwslZdvMx/dcE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dNCzh40U0XvdKnSDi3HRQOWQftEsDVqc4uUvsVFGoq8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "IP+iwEBWBwVVZIdpaMu8k5+soFCz+TZkYn3drKZ9grE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pnqyh6e0y5svHkJDShlN9CHV0WvMBE4QbtJpQw5ZCXc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "elEl42tbVDoRTLjAhZUFEtXiut4b3PVhg/1ZLZSQdtE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "vHuu2FxwclMHqyE6JBYbTYgbEkB0dqb/JuaxsvfwsmY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xTf7NCe3Gf8QpE78HR5OknlLTKfs9J+RN9UZpH6fnso=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "XiWSasRnJAulGR6+LCVD3mwRObXylqYWR9jvpywq12c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "MZMxEQ5ikx0PG1YFIExv0UnTZogsvgeOEZTpzvBDn4w=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yZMyMZBDrWbAhvnic7vvIYhmO9m5H2iuv0c8KNZrBzY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xxM14hTPY5j0vvcK2C7YAEjzdsfUTFHozHC0hEo1bxI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "+01rqR1xVwkpGXcstbk1ItJqFVjH6Q8MGxEN3Cm9Y1A=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xOpLV0Z2VTRJ3iWtnWZcsyjXubTIkYWo31cO+HV1o1k=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "BWUOLqgLBqc5NwxVlSV5H3KFQPXbCp7mdo+jF+8cJqY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "fuQb1S6xZDGlrEbK+kI23aL53PP1PVNwqICnZNt9Yzg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "SfscnoibFttahLdPVC4Ee+47ewGFKpDSU7M6HX19bKE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rpSW2awybNVeKtat91VFxqbINoTfNhPfQAu+d73Xtf8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "9M/CP9ccOIIj2LLFmE0GFDO0Ban2wsNalEXfM6+h+1s=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "WrEMG49l1ye4MhXs5ZS9tz8P6h+hDvthIg/2wW9ne1Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ImNhbfeyfH8qIEeA5ic0s3dAQBdzzTBS+CPsNih9vZ0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dWP33YDSn04UKJN2ogh2Rui0iW/0q2y18OCDRVcfyoo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "lYv0isAtfGh6H9tdp3cp2eHU7q2J+uk7QrgcxtK3w7Y=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "VGMoamB/+7zTOYcY/pqJc96xlv2PdW4hwsIAEIslTDQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yNeBWMF7BnD9wVwz2PgJsvWr77QiVvvWUvJF0+fqBug=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "SfpvObJ+tJBXSvqeN7vlOfmhYign635lciYAJIjUtY8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dsen4NqjzVGjpjufiTMs3+gqeD09EbnuogPgxrJECwg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pxCWVM3sn19NsFEpgHbgLa+PmYlhN3mMiP0Wk8kJhYw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "q11KNvJszjYIB9n9HcC+N4uz11a3eRj1L3BH9scKMDQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "A1PmkgcEToWh1JiVWE6mI5jUu7poxWWuCUt/cgRUUDc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "qJo3Hu4PJeanL7XEaWXO/n3YsodhZyd+MJOOmB9Kpd8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "BkBKLO8URFscfRY9Bav/1+L9mLohDgNr/MkZtGiraIs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rZq5WA3Hx3xthOyHAJXK//f8pE2qbz7YKu3TIMp9GFY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "X07a/Lm80p5xd4RFs1dNmw+90tmPDPdGiAKVZkxd4zY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "6YrBn2ofIw1b5ooakrLOwF41BWrps8OO0H9WH4/rtlE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "0l86Ag5OszXpa78SlOUV3K9nff5iC1p0mRXtLg9M1s4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Hn6yuxFHodeyu7ISlhYrbSf9pTiH4TDEvbYLWjTwFO0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "zdf4y2etKBuIpkEU1zMwoCkCsdisfXZCh8QPamm+drY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rOQ9oMdiK5xxGH+jPzOvwVqdGGnF3+HkJXxn81s6hp4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "61aKKsE3+BJHHWYvs3xSIBvlRmKswmaOo5rygQJguUg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "KuDb/GIzqDM8wv7m7m8AECiWJbae5EKKtJRugZx7kR0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Q+t8t2TmNUiCIorVr9F3AlVnX+Mpt2ZYvN+s8UGict8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tJRZIpKxUgHyL83kW8cvfjkxN3z6WoNnUg+SQw+LK+k=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pnUsYjip8SvW0+m9mR5WWTkpK+p6uwJ6yBUAlBnFKMk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "PArHlz+yPRYDycAP/PgnI/AkP8Wgmfg++Vf4UG1Bf0E=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "wnIh53Q3jeK8jEBe1n8kJLa89/H0BxO26ZU8SRIAs9Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "4F8U59gzBLGhq58PEWQk2nch+R0Va7eTUoxMneReUIA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ihKagIW3uT1dm22ROr/g5QaCpxZVj2+Fs/YSdM2Noco=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "EJtUOOwjkrPUi9mavYAi+Gom9Y2DuFll7aDwo4mq0M0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dIkr8dbaVRQFskAVT6B286BbcBBt1pZPEOcTZqk4ZcI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "aYVAcZYkH/Tieoa1XOjE/zCy5AJcVTHjS0NG2QB7muA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "sBidL6y8TenseetpioIAAtn0lK/7C8MoW4JXpVYi3z8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "0Dd2klU/t4R86c2WJcJDAd57k/N7OjvYSO5Vf8KH8sw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "I3jZ92WEVmZmgaIkLbuWhBxl7EM6bEjiEttgBJunArA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "aGHoQMlgJoGvArjfIbc3nnkoc8SWBxcrN7hSmjMRzos=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "bpiWPnF/KVBQr5F6MEwc5ZZayzIRvQOLDAm4ntwOi8g=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tI7QVKbE6avWgDD9h4QKyFlnTxFCwd2iLySKakxNR/I=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "XGsge0CnoaXgE3rcpKm8AEeku5QVfokS3kcI+JKV1lk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "JQxlryW2Q5WOwfrjAnaZxDvC83Dg6sjRVP5zegf2WiM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YFuHKJOfoqp1iGVxoFjx7bLYgVdsN4GuUFxEgO9HJ5s=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Z6vUdiCR18ylKomf08uxcQHeRtmyav7/Ecvzz4av3k4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "SPGo1Ib5AiP/tSllL7Z5PAypvnKdwJLzt8imfIMSEJQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "m94Nh6PFFQFLIib9Cu5LAKavhXnagSHG6F5EF8lD96I=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pfEkQI98mB+gm1+JbmVurPAODMFPJ4E8DnqfVyUWbSo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "DNj3OVRLbr43s0vd+rgWghOL3FqeO/60npdojC8Ry/M=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kAYIQrjHVu49W8FTxyxJeiLVRWWjC9fPcBn+Hx1F+Ss=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "aCSO7UVOpoQvu/iridarxkxV1SVxU1i9HVSYXUAeXk4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Gh6hTP/yj1IKlXQ+Q69KTfMlGZjEcXoRLGbQHNFo/1s=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "/gDgIFQ4tAlJk3GN48IS5Qa5IPmErwGk8CHxAbp6gs0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "PICyimwPjxpusyKxNssOOwUotAUbygpyEtORsVGXT8g=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "4lu+cBHyAUvuxC6JUNyHLzHsCogGSWFFnUCkDwfQdgI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pSndkmoNUJwXjgkbkgOrT5f9nSvuoMEZOkwAN9ElRaE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tyW+D4i26QihNM5MuBM+wnt5AdWGSJaJ4X5ydc9iWTU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "9Syjr8RoxUgPKr+O5rsCu07AvcebA4P8IVKyS1NVLWc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "67tPfDYnK2tmrioI51fOBG0ygajcV0pLo5+Zm/rEW7U=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "y0EiPRxYTuS1eVTIaPQUQBBxwkyxNckbePvKgChwd0M=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "NWd+2veAaeXQgR3vCvzlI4R1WW67D5YsVLdoXfdb8qg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "PY5RQqKQsL2GqBBSPNOEVpojNFRX/NijCghIpxD6CZk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "lcvwTyEjFlssCJtdjRpdN6oY+C7bxZY+WA+QAqzj9zg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "CWE7XRNylvTwO/9Fv56dNqUaQWMmESNS/GNIwgBaEI0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ijwlrUeS8nRYqK1F8kiCYF0mNDolEZS+/lJO1Lg93C8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "8KzV+qYGYuIjoNj8eEpnTuHrMYuhzphl80rS6wrODuU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "wDyTLjSEFF895hSQsHvmoEQVS6KIkZOtq1c9dVogm9I=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "SGrtPuMYCjUrfKF0Pq/thdaQzmGBMUvlwN3ORIu9tHU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "KySHON3hIoUk4xWcwTqk6IL0kgjzjxgMBObVIkCGvk4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "hBIdS9j0XJPeT4ot73ngELkpUoSixvRBvdOL9z48jY8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Tx6um0q9HjS5ZvlFhvukpI6ORnyrXMWVW1OoxvgqII0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "zFKlyfX5H81+d4A4J3FKn4T5JfG+OWtR06ddyX4Mxas=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "cGgCDuPV7MeMMYEDpgOupqyNP4BQ4H7rBnd2QygumgM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "IPaUoy98v11EoglTpJ4kBlEawoZ8y7BPwzjLYBpkvHQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Pfo4Am6tOWAyZNn8G9W5HWWGC3ZWmX0igI/RRB870Ro=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "fnTSjd7bC1Udoq6iM7UDnHAC/lsIXSHp/Gy332qw+/I=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "fApBgVRrTDyEumkeWs5p3ag9KB48SbU4Si0dl7Ns9rc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "QxudfBItgoCnUj5NXVnSmWH3HK76YtKkMmzn4lyyUYY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "sSOvwhKa29Wq94bZ5jGIiJQGbG1uBrKSBfOYBz/oZeI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "FdaMgwwJ0NKsqmPZLC5oE+/0D74Dfpvig3LaI5yW5Fs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "sRWBy12IERN43BSZIrnBfC9+zFBUdvjTlkqIH81NGt4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "/4tIRpxKhoOwnXAiFn1Z7Xmric4USOIfKvTYQXk3QTc=",
                    "subType": "00"
                  }
                }
              ]
            },
            {
              "_id": {
                "$numberInt": "1"
              },
              "encryptedDecimalNoPrecision": {
                "$$type": "binData"
              },
              "__safeContent__": [
                {
                  "$binary": {
                    "base64": "DLCAJs+W2PL2DV5YChCL6dYrQNr+j4p3L7xhVaub4ic=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Mr/laWHUijZT5VT3x2a7crb7wgd/UXOGz8jr8BVqBpM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "wXVD/HSbBljko0jJcaxJ1nrzs2+pchLQqYR3vywS8SU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "VDCpBYsJIxTfcI6Zgf7FTmKMxUffQv+Ys8zt5dlK76I=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "zYDslUwOUVNwTYkETfjceH/PU3bac9X3UuQyYJ19qK0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rAOmHSz18Jx107xpbv9fYcPOmh/KPAqge0PAtuhIRnc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "BFOB1OGVUen7VsOuS0g8Ti7oDsTt2Yj/k/7ta8YAdGM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2fckE5SPs0GU+akDkUEM6mm0EtcV3WDE/sQsnTtodlk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "mi9+aNjuwIvaMpSHENvKzKRAmX9cYguo2mXLvOoftHQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "K6TWn4VcWWkz/gkUkLmbtwkG7SNeABICmLDnoYJFlLU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Z+2/cEtGU0Fq7QJFNGA/0y4aWAsw0ncG6X0LYRqwS3c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "rrSIf+lgcNZFbbUkS9BmE045jRWBpcBJXHzfMVEFuzE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "KlHL3Kyje1/LMIfgbCqw1SolxffJvvgsYBV5y77wxuA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "hzJ1YBoETmYeCh352dBmG8d8Wse/bUcqojTWpWQlgsc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "lSdcllDXx8MA+s0GULjDA1lQkcV0L8/aHtZ6dM2pZ2c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "HGr7JLTTA7ksAnlmjSIwwdBVvgr3fv46/FTdiCPYpos=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "mMr25v1VwOEVZ8xaNUTHJCcsYqV+kwK6RzGYilxPtJ4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "129hJbziPJzNo0IoTU3bECdge0FtaPW8dm4dyNVNwYU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "doiLJ96qoo+v7NqIAZLq6BI5axV8Id8gT5vyJ1ZZ0PM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "cW/Lcul3xYmfyvI/0x/+ybN78aQmBK1XIGs1EEU09N8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "1aVIwzu9N5EJV9yEES+/g6hOTH7cA2NTcLIc59cu0wU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kw5tyl7Ew0r1wFyrN1mB9FiVW2hK2BxxxUuJDNWjyjQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ADAY2YBrm6RJBDY/eLLcfNxmSJku+mefz74gH66oyco=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "8gkqB1LojzPrstpFG7RHYmWxXpIlPDTqWnNsXH7XDRU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "TESfVQMDQjfTZmHmUeYUE2XrokJ6CcrsKx/GmypGjOw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "qFM+HFVQ539S0Ouynd1fBHoemFxtU9PRxE5+Dq7Ljy4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "jPiFgUZteSmOg4wf3bsEKCZzcnxmMoILsgp/GaZD+dM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YaWUgJhYgPNN7TkFK16H8SsQS226JguaVhOIQxZwQNQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "x90/Qk3AgyaFsvWf2KUCu5XF3j76WFSjt/GrnG01060=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ZGWybWL/xlEdMYRFCZDUoz10sywTf7U/7wufsb78lH0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "8l4ganN66jIcdxfHAdYLaym/mdzUUQ8TViw3MDRySPc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "c8p5XEGTqxqvRGVlR+nkxw9uUdoqDqTB0jlYQ361qMA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "1ZGFLlpQBcU3zIUg8MmgWwFKVz/SaA7eSYFrfe3Hb70=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "34529174M77rHr3Ftn9r8jU4a5ztYtyVhMn1wryZSkU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YkQ4pxFWzc49MS0vZM6S8mNo4wAwo21rePBeF3C+9mI=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "MhOf4mYY00KKVhptOcXf0bXB7WfuuM801MRJg4vXPgc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "7pbbD8ihNIYIBJ3tAUPGzHpFPpIeCTAk5L88qCB0/9w=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "C9Q5PoNJTQo6pmNzXEEXUEqH22//UUWY1gqILcIywec=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "AqGVk1QjDNDLYWGRBX/nv9QdGR2SEgXZEhF0EWBAiSE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "/sGI3VCbJUKATULJmhTayPOeVW+5MjWSvVCqS77sRbU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yOtbL0ih7gsuoxVtRrACMz+4N5uo7jIR7zzmtih2Beo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "uA6dkb2Iyg9Su8UNDvZzkPx33kPZtWr/CCuEY+XgzUM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "1DoSFPdHIplqZk+DyWAmEPckWwXw/GdB25NLmzeEZhk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "OfDVS0T3ZuIXI/LNbTp6C9UbPIWLKiMy6Wx+9tqNl+g=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "3PZjHXbmG6GtPz+iapKtQ3yY4PoFFgjIy+fV2xQv1YU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kaoLN0BoBWsmqE7kKkJQejATmLShd8qffcAmlhsxsGY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "vpiw9KgQdegGmp7IJnSGX2miujRLU0xzs0ITTqbPW7c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "NuXFf7xGUefYjIUTuMxNUTCfVHrF8oL0AT7dPv5Plk4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "8Tz53LxtfEBJ9eR+d2690kwNsqPV6XyKo2PlqZCbUrc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "e6zsOmHSyV8tyQtSX6BSwui6wK9v1xG3giY/IILJQ2w=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2fedFMCxa2DzmIpfbDKGXhQg0PPwbUv6vIWdwwlvhms=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yEJKMFnWXTC8tJUfzCInzQRByNEPjHxpw4L4m8No91Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YbFuWwOiFuQyOzIJXDbOkCWC2DyrG+248TBuVCa1pXU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "w7IkwGdrguwDrar5+w0Z3va5wXyZ4VXJkDMISyRjPGo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YmJUoILTRJPhyIyWyXJTsQ6KSZHHbEpwPVup6Ldm/Ko=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "FvMjcwVZJmfh6FP/yBg2wgskK+KHD8YVUY6WtrE8xbg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "h4HCtD4HyYz0nci49IVAa10Z4NJD/FHnRMV4sRX6qro=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "nC7BpXCmym+a0Is2kReM9cYN2M1Eh5rVo8fjms14Oiw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "1qtVWaeVo649ZZZtN8gXbwLgMWGLhz8beODbvru0I7Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Ej+mC0QFyMNIiSjR939S+iGBm7dm+1xObu5IcF/OpbU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "UQ8LbUG3cMegbr9yKfKanAPQE1EfPkFciVDrNqZ5GHY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "4iI3mXIDjnX+ralk1HhJY43mZx2uTJM7hsv9MQzTX7E=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "0WQCcs3rvsasgohERHHCaBM4Iy6yomS4qJ5To3/yYiw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "qDCTVPoue1/DOAGNAlUstdA9Sid8MgEY4e5EzHcVHRk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "9F9Mus0UnlzHb8E8ImxgXtz6SU98YXD0JqswOKw/Bzs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "pctHpHKVBBcsahQ6TNh6/1V1ZrqOtKSAPtATV6BJqh0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "vfR3C/4cPkVdxtNaqtF/v635ONbhTf5WbwJM6s4EXNE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ejP43xUBIex6szDcqExAFpx1IE/Ksi5ywJ84GKDFRrs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "jbP4AWYd3S2f3ejmMG7dS5IbrFol48UUoT+ve3JLN6U=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "CiDifI7958sUjNqJUBQULeyF7x0Up3loPWvYKw9uAuw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "e2dQFsiHqd2BFHNhlSxocjd+cPs4wkcUW/CnCz4KNuM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "PJFckVmzBipqaEqsuP2mkjhJE4qhw36NhfQ9DcOHyEU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "S3MeuJhET/B8VcfZYDR9fvX0nscDj416jdDekhmK11s=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "CGVHZRXpuNtQviDB2Kj03Q8uvs4w3RwTgV847R7GwPw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "yUGgmgyLrxbEpDVy89XN3c2cmFpZXWWmuJ/35zVZ+Jw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "inb6Q97mL1a9onfNTT8v9wsoi/fz7KXKq3p8j90AU9c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "CCyYx/4npq9xGO1lsCo8ZJhFO9/tN7DB+/DTE778rYg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "LNnYw4fwbiAZu0kBdAHPEm/OFnreS+oArdB5O/l/I98=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "P006SxmUS/RjiQJVYPdMFnNo3827GIEmSzagggkg05Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "oyvwY+WsnYV6UHuPki1o0ILJ2jN4uyXf9yaUNtZJyBA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "36Lk3RHWh1wmtCWC/Yj6jNIo17U5y6SofAgQjzjVxD8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "vOOo8FqeHnuO9mqOYjIb4vgwIwVyXZ5Y+bY5d9tGFUM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "bJiDJjwQRNxqxlGjRm5lLziFhcfTDCnQ/qU1V85qcRg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2Qgrm1n0wUELAQnpkEiIHB856yv76q8jLbpiucetcm0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "5ciPOYxTK0WDwwYyfs7yiVymwtYQXDELLxmM4JLl4/o=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "31dC2WUSIOKQc4jwT6PikfeYTwi80mTlh7P31T5KNQU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "YluTV2Mu53EGCKLcWfHZb0BM/IPW2xJdG3vYlDMEsM4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "dh/8lGo2Ek6KukSwutH6Q35iy8TgV0FN0SJqe0ZVHN8=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "EVw6HpIs3BKen2qY2gz4y5dw1JpXilfh07msZfQqJpc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "FYolLla9L8EZMROEdWetozroU40Dnmwwx2jIMrr7c1A=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "8M6k4QIutSIj6CM41vvkQtuFsaGrjoR9SZJVSLbfGKQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "9LM0VoddDNHway442MqY+Z7vohB2UHau/cddshhzf40=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "66i8Ytco4Yq/FMl6pIRZazz3CZlu8fO2OI6Pne0pvHU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2a/HgX+MjZxjXtSvHgF1yEpHMJBkl8Caee8XrJtn0WM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "frhBM662c4ZVG7mWP8K/HhRjd01lydW/cPcHnDjifqc=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "6k1T7Q1t668PBqv6fwpVnT1HWh7Am5LtbKvwPJKcpGU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "UlJ5Edfusp8S/Pyhw6KTglIejmbr1HO0zUeHn/qFETA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "jsxsB+1ECB3assUdoC333do9tYH+LglHmVSJHy4N8Hg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2nzIQxGYF7j3bGsIesECEOqhObKs/9ywknPHeJ3yges=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xJYKtuWrX90JrJVoYtnwP7Ce59XQGFYoalxpNfBXEH0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "NLI5lriBTleGCELcHBtNnmnvwSRkHHaLOX4cKboMgTw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "hUOQV0RmE5aJdJww1AR9rirJG4zOYPo+6cCkgn/BGvQ=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "h4G2Of76AgxcUziBwCyH+ayMOpdBWzg4yFrTfehSC2c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "VuamM75RzGfQpj2/Y1jSVuQLrhy6OAwlZxjuQLB/9Ss=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kn9+hLq7hvw02xr9vrplOCDXKBTuFhfbX7d5v/l85Pg=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "fAiGqKyLZpGngBYFbtYUYt8LUrJ49vYafiboifTDjxs=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "BxRILymgfVJCczqjUIWXcfrfSgrrYkxTM5VTg0HkZLY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "CrFY/PzfPU2zsFkGLu/dI6mEeizZzCR+uYgjZBAHro0=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "AEbrIuwvXLTtYgMjOqnGQ8y8axUn5Ukrn7UZRSyfQVw=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ouWeVH3PEFg+dKWlXc6BmqirJOaVWjJbMzZbCsce4dA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "+hd6xFB+EG+kVP7WH4uMd1CLaWMnt5xJRaY/Guuga9Q=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "zmpGalfAOL3gmcUMJYcLYIRT/2VDO/1Dw4KdYZoNcng=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2PbHAoM/46J2UIZ/vyksKzmVVfxA7YUyIxWeL/N/vBk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "7fD9x+zk5MVFesb59Klqiwwmve7P5ON/5COURXj5smE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "tlrNQ4jaq051iaWonuv1sSrYhKkL1LtNZuHsvATha3s=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "fBodm28iClNpvlRyVq0dOdXQ08S7/N3aDwid+PdWvRo=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "O+/nnRqT3Zv7yMMGug8GhKHaWy6u7BfRGtZoj0sdN1c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "5AZZ/RTMY4Photnm/cpXZr/HnFRi3eljacMsipkJLHA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "oFVyo/kgoMxBIk2VE52ySSimeyU+Gr0EfCwapXnTpKA=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "Z8v59DfcnviA0mzvnUk+URVO0UuqAWvtarEgJva/n1c=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "P64GOntZ+zBJEHkigoh9FSxSO+rJTqR20z5aiGQ9an4=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "xMbSuDPfWuO/Dm7wuVl06GnzG9uzTlJJX9vFy7boGlY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "kXPB19mRClxdH2UsHwlttS6lLU2uHvzuZgZz7kC45jU=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "NDVjVYXAw4k0w4tFzvs7QDq39aaU3HQor4I2XMKKnCk=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "uKw/+ErVfpTO1dGUfd3T/eWfZW3nUxXCdBGdjvHtZ88=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "av0uxEzWkizYWm0QUM/MN1hLibnxPvCWJKwjOV4yVQY=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "ERwUC47dvgOBzIsEESMIioLYbFOxOe8PtJTnmDkKuHM=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "2gseKlG5Le12fS/vj4eaED4lturF16kAgJ1TpW3HxEE=",
                    "subType": "00"
                  }
                },
                {
                  "$binary": {
                    "base64": "7Cvg0Y3j/5i2F1TeXxlMmU7xwif5dCmwkZAOrVC5K2Y=",
                    "subType": "00"
                  }
                }
              ]
            }
          ]
        }
      }
    }
  ]
}
